package com.cooleshow.teacher.bean;

import android.widget.ImageView;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.viewholder.BaseViewHolder;
import com.cooleshow.teacher.R;

import androidx.annotation.NonNull;

/**
 * Author by pq, Date on 2022/9/8.
 */
public class MineCommonToolAdapter extends BaseQuickAdapter<MineToolMenuBean, BaseViewHolder> {
    public MineCommonToolAdapter() {
        super(R.layout.item_mine_common_tool_layout);
    }

    @Override
    protected void convert(@NonNull BaseViewHolder holder, MineToolMenuBean bean) {
        ImageView iv_icon = holder.getView(R.id.iv_icon);
        iv_icon.setImageResource(bean.drawable);
        holder.setText(R.id.tv_title, bean.title);
    }
}
